Update activation status of badge

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to update the activation status of the badge.

👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/api_gateway/v1/badges/badgeMeta/{badgeId}/{activationStatus}
HTTP methodPUT
PaginationNA
Batch supportNA

Example request

curl --location --request PUT 'https://eucrm.cc.capillarytech.com/api_gateway/v1/badges/badgeMeta/68ccf60d28a4f97c042c83c1/activate' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic bWFkaHVI3MjU2YQ==' \
--data '{
    "active": true
}'
curl --location --request PUT 'https://eucrm.cc.capillarytech.com/api_gateway/v1/badges/badgeMeta/68ccf60d28a4f97c042c83c1/deactivate' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic bWFk3MjU2YQ==' \
--data '{
    "active": true
}'

Request path parameter

ParameterData TypeDescription
activationStatus*EnumActivation status of the badge. Supported values: Activate, Deactivate
badgeId*StringUnique identifier ("id") generated during the creation of the badge
https://eucrm.cc.capillarytech.com/api_gateway/v1/badges/badgeMeta/6543688e66a87827bb61e62a/activate
https://eucrm.cc.capillarytech.com/api_gateway/v1/badges/badgeMeta/6543688e66a87827bb61e62a/deactivate

Example response

{
    "data": {
        "id": "68ccf60d28a4f97c042c83c1",
        "isActive": true
    },
    "errors": [],
    "warnings": []
}
{
    "data": {
        "id": "68ccf60d28a4f97c042c83c1",
        "isActive": false
    },
    "errors": [],
    "warnings": []
}

Response parameter

ParameterData TypeDescription
idStringUnique identifier for the badge.
isActiveBooleanIndicates whether the badge is active.
errorsArrayContains details of any errors.
warningsArrayContains details of any warnings.
Path Params
string
enum
required
Allowed:
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json